package com.ruoyi.tuya.mapper;

import java.util.List;

import com.ruoyi.tuya.domain.TuyaSitesInfo;

/**
 * 平台信息Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-01
 */
public interface TuyaSitesInfoMapper
{

    /**
     * 校验平台名称
     *
     * @param siteNameCN 平台名称
     * @return 结果
     */
    public TuyaSitesInfo checkSiteNameUnique(String siteNameCN);

    /**
     * 校验平台名称(英文)
     *
     * @param siteNameEN 平台名称
     * @return 结果
     */
    public TuyaSitesInfo checkSiteNameEnUnique(String siteNameEN);

    /**
     * 查询平台信息
     *
     * @param siteId 平台信息主键
     * @return 平台信息
     */
    public TuyaSitesInfo selectTuyaSitesInfoBySiteId(Long siteId);

    /**
     * 查询平台信息列表
     *
     * @param tuyaSitesInfo 平台信息
     * @return 平台信息集合
     */
    public List<TuyaSitesInfo> selectTuyaSitesInfoList(TuyaSitesInfo tuyaSitesInfo);

    /**
     * 查询平台下拉信息列表
     *
     * @param tuyaSitesInfo 平台信息
     * @return 平台信息集合
     */
    public List<TuyaSitesInfo> sitesInfoSelect(TuyaSitesInfo tuyaSitesInfo);



    /**
     * 新增平台信息
     *
     * @param tuyaSitesInfo 平台信息
     * @return 结果
     */
    public int insertTuyaSitesInfo(TuyaSitesInfo tuyaSitesInfo);

    /**
     * 修改平台信息
     *
     * @param tuyaSitesInfo 平台信息
     * @return 结果
     */
    public int updateTuyaSitesInfo(TuyaSitesInfo tuyaSitesInfo);

    /**
     * 删除平台信息
     *
     * @param siteId 平台信息主键
     * @return 结果
     */
    public int deleteTuyaSitesInfoBySiteId(Long siteId);

    /**
     * 批量删除平台信息
     *
     * @param siteIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTuyaSitesInfoBySiteIds(Long[] siteIds);
    /**
     * 是否存在子节点
     *
     * @param siteId 平台ID
     * @return 结果
     */
    public int hasChildBySiteId(Long siteId);
}
